Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web.endpoint
Class EndPointServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jboss.portal.web.endpoint.EndPointServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public abstract class EndPointServlet

extends javax.servlet.http.HttpServlet

A web end point.

Version:
  $Revision: 630 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_SERVLET_MAPPING` Describes a default servlet mapping.
`static int` | `PATH_MAPPING` Describes a path mapping.
`static int` | `ROOT_PATH_MAPPING` Describes a root path mapping.

Constructor Summary
`EndPointServlet()`

Method Summary
`java.lang.Integer` | `getMappingType()` Returns the style of mapping of the endpoint.
`void` | `init()`
`protected void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected abstract void` | `service(WebRequest req, WebResponse resp)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SERVLET_MAPPING

    public static final int DEFAULT_SERVLET_MAPPING

  Describes a default servlet mapping.

  See Also:
    Constant Field Values

### ROOT_PATH_MAPPING

    public static final int ROOT_PATH_MAPPING

  Describes a root path mapping.

  See Also:
    Constant Field Values

### PATH_MAPPING

    public static final int PATH_MAPPING

  Describes a path mapping.

  See Also:
    Constant Field Values

Constructor Detail

### EndPointServlet

    public EndPointServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### service

    protected final void service(javax.servlet.http.HttpServletRequest req,
                                 javax.servlet.http.HttpServletResponse resp)
                          throws javax.servlet.ServletException,
                                 java.io.IOException

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### service

    protected abstract void service(WebRequest req,
                                    WebResponse resp)
                             throws javax.servlet.ServletException,
                                    java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getMappingType

    public java.lang.Integer getMappingType()

  Returns the style of mapping of the endpoint.

  Returns:
    the mapping style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.